cloud2-methods {copula} | R Documentation

## Cloud Plot Methods ('cloud2') in Package 'copula'

### Description

Function and Methods `cloud2()` to draw cloud plots of three-dimensional distributions from package copula.

### Usage

    ## S4 method for signature 'matrix'
    cloud2(x,
          xlim = range(x[,1], finite = TRUE),
          ylim = range(x[,2], finite = TRUE),
          zlim = range(x[,3], finite = TRUE),
          xlab = NULL, ylab = NULL, zlab = NULL,
          scales = list(arrows = FALSE, col = "black"),
          par.settings = standard.theme(color = FALSE), ...)
    ## S4 method for signature 'data.frame'
    cloud2(x,
          xlim = range(x[,1], finite = TRUE),
          ylim = range(x[,2], finite = TRUE),
          zlim = range(x[,3], finite = TRUE),
          xlab = NULL, ylab = NULL, zlab = NULL,
          scales = list(arrows = FALSE, col = "black"),
          par.settings = standard.theme(color = FALSE), ...)
    ## S4 method for signature 'Copula'
    cloud2(x, n,
          xlim = 0:1, ylim = 0:1, zlim = 0:1,
          xlab = expression(U[1]), ylab = expression(U[2]),
          zlab = expression(U[3]), ...)
    ## S4 method for signature 'mvdc'
    cloud2(x, n,
          xlim = NULL, ylim = NULL, zlim = NULL,
          xlab = expression(X[1]), ylab = expression(X[2]),
          zlab = expression(X[3]), ...)

### Arguments

`x` | a `"matrix"`, `"data.frame"`, `"Copula"` or a `"mvdc"` object.
`xlim, ylim, zlim` | the x-, y- and z-axis limits.
`xlab, ylab, zlab` | the x-, y- and z-axis labels.
`scales` | a `list` determining how the axes are drawn; see `cloud()`.
`par.settings` | see `cloud()`.
`n` | when `x` is not matrix-like: The sample size of the random sample drawn from `x`.
`...` | additional arguments passed to the underlying `cloud()`.

### Value

An object of class “trellis” as returned by `cloud()`.

### Methods

Cloud plots for objects of class `"matrix"` , `"data.frame"`, `"Copula"` or `"mvdc"`.

### Examples

    ## For 'matrix' objects
    cop <- gumbelCopula(2, dim = 3)
    n <- 1000
    set.seed(271)
    U <- rCopula(n, copula = cop)
    cloud2(U, xlab = expression(U[1]), ylab = expression(U[2]), zlab = expression(U[3]))

    ## For 'Copula' objects
    set.seed(271)
    cloud2(cop, n = n) # same as above

    ## For 'mvdc' objects
    mvNN <- mvdc(cop, c("norm", "norm", "exp"),
                 list(list(mean = 0, sd = 1), list(mean = 1), list(rate = 2)))
    cloud2(mvNN, n = n)

[Package copula version 0.999-15 Index]